Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractItemView.DragDropMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractItemView.DragDropMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractItemView

    public static final class QAbstractItemView.DragDropMode

extends java.lang.Enum
implements QtEnumerator

Describes the various drag and drop events the view can act upon. By default the view does not support dragging or dropping (`NoDragDrop`). Note that the model used needs to provide support for drag and drop operations.

See also:
  setDragDropMode(), and Using Drag and Drop with Item Views.

See Also:
  Serialized Form

Field Summary
`static QAbstractItemView.DragDropMode` | `DragDrop`
`static QAbstractItemView.DragDropMode` | `DragOnly` The view supports dragging of its own items
`static QAbstractItemView.DragDropMode` | `DropOnly` The view accepts drops
`static QAbstractItemView.DragDropMode` | `InternalMove` only accepts move operations only from itself.
`static QAbstractItemView.DragDropMode` | `NoDragDrop` Does not support dragging or dropping.

Method Summary
`static QAbstractItemView.DragDropMode` | `resolve(int value)` Returns the QAbstractItemView$DragDropMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.DragDropMode` | `valueOf(java.lang.String name)`
`static QAbstractItemView.DragDropMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoDragDrop

    public static final QAbstractItemView.DragDropMode NoDragDrop

  Does not support dragging or dropping.

### DragOnly

    public static final QAbstractItemView.DragDropMode DragOnly

  The view supports dragging of its own items

### DropOnly

    public static final QAbstractItemView.DragDropMode DropOnly

  The view accepts drops

### DragDrop

    public static final QAbstractItemView.DragDropMode DragDrop

### InternalMove

    public static final QAbstractItemView.DragDropMode InternalMove

  only accepts move operations only from itself.

Method Detail

### values

    public static QAbstractItemView.DragDropMode[] values()

### valueOf

    public static QAbstractItemView.DragDropMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.DragDropMode resolve(int value)

  Returns the QAbstractItemView$DragDropMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD